package animation;

import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.TreePath;

import view.MainView;

public class PseudoCodeNode extends DefaultMutableTreeNode {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    
    private boolean selected;
    
    public PseudoCodeNode( String description )
    {
        super( description );
        selected = false;
    }
    
    public boolean isSelected()
    {
        return selected;
    }
    
    public void setSelected( boolean selected )
    {
        if( selected )
            MainView.pseudoTree.expandPath( new TreePath( this.getPath() ) );
        else
            MainView.pseudoTree.collapsePath( new TreePath( this.getPath() ) );
        this.selected = selected;
    }
}
